[android-components](../../index.md) / [mozilla.components.concept.awesomebar](../index.md) / [AwesomeBar](index.md) / [onInputChanged](./on-input-changed.md)

# onInputChanged

`abstract fun onInputChanged(text: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/awesomebar/src/main/java/mozilla/components/concept/awesomebar/AwesomeBar.kt#L46)

Fired whenever the user changes their input, after they have started interacting with the awesome bar.

### Parameters

`text` - The current user input in the toolbar.